Debian Bug report logs - #632254
please document the possibility to use "-a source" to search source package filenames

version graph

Package: apt-file; Maintainer for apt-file is Niels Thykier <niels@thykier.net>; Source for apt-file is src:apt-file.

Reported by: Paul Wise <pabs@debian.org>

Date: Thu, 30 Jun 2011 22:03:06 UTC

Severity: wishlist

Tags: patch

Merged with 716914

Found in version apt-file/2.5.2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Stefan Fritsch <sf@debian.org>:
Bug#632254; Package apt-file. (Thu, 30 Jun 2011 22:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
New Bug report received and forwarded. Copy sent to Stefan Fritsch <sf@debian.org>. (Thu, 30 Jun 2011 22:03:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: bts <submit@bugs.debian.org>
Subject: apt-file: option to search Contents-source.gz files
Date: Thu, 30 Jun 2011 23:02:42 +0100
[Message part 1 (text/plain, inline)]
Package: apt-file
Severity: wishlist

ftpmaster is now generating indices of all the files listed in source
packages[1][2][3]. It would be nice if apt-file could download these and
allow searching them.

     1. ftp://ftp.debian.org/debian/dists/sid/main/Contents-source.gz
     2. ftp://ftp.debian.org/debian/dists/sid/contrib/Contents-source.gz
     3. ftp://ftp.debian.org/debian/dists/sid/non-free/Contents-source.gz

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Stefan Fritsch <sf@debian.org>:
Bug#632254; Package apt-file. (Tue, 05 Jun 2012 03:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Stefan Fritsch <sf@debian.org>. (Tue, 05 Jun 2012 03:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 632254@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: debian-devel@lists.debian.org, 632254@bugs.debian.org
Subject: Re: Search for a file in all Debian source packages
Date: Mon, 4 Jun 2012 23:00:55 -0400
ho ho -- smart ;)  not sure even which version to assign if someone
would decide to close this bug report ;)

Apparently this feature is working out of the box "by design", as
James McCoy points out.  Since Contents-* file format is the same for
-sources as for any other architecture listing content of binary
packages -- there is no custom action required.

On Mon, 04 Jun 2012, James McCoy wrote:
> > FWIW: here is the relevant (still open) wishlist bug for apt-file:
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=632254
> > apt-file: option to search Contents-source.gz files

> $ apt-file -a source update
> …
> $ apt-file -a source os_unix.c
> chromium-browser: /src/third_party/sqlite/src/src/os_unix.c
> db: /lang/sql/sqlite/src/os_unix.c
> db5.3: /lang/sql/sqlite/src/os_unix.c
> iipimage: /fcgi/libfcgi/os_unix.c
> inadyn: /src/os_unix.c
> kompozer: /mozilla/db/sqlite3/src/os_unix.c
> libfcgi: /libfcgi/os_unix.c
> lyx: /src/support/os_unix.cpp
> mame: /src/osd/sdl/sdlos_unix.c
> mess: /src/osd/sdl/sdlos_unix.c
> ncbi-blast+: /c++/src/corelib/ncbi_os_unix.cpp
> olsrd: /lib/tas/src/os_unix.c
> reaver: /src/utils/os_unix.c
> refit: /.pc/gptsync_dont_truncate.patch/gptsync/os_unix.c
> refit: /.pc/gptsync_nom_nom_nom_newline.patch/gptsync/os_unix.c
> refit: /.pc/gptsync_quiet_mode.patch/gptsync/os_unix.c
> refit: /gptsync/os_unix.c
> sqlite3: /.pc/20-hurd-locking-style.patch/src/os_unix.c
> sqlite3: /src/os_unix.c
> vim: /src/os_unix.c
> wpa: /src/utils/os_unix.c
> wpasupplicant: /src/utils/os_unix.c
-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Changed Bug title to 'please document the possibility to use "-a source" to search source package filenames' from 'apt-file: option to search Contents-source.gz files' Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Tue, 05 Jun 2012 03:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Stefan Fritsch <sf@debian.org>:
Bug#632254; Package apt-file. (Tue, 05 Jun 2012 03:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Stefan Fritsch <sf@debian.org>. (Tue, 05 Jun 2012 03:21:03 GMT) Full text and rfc822 format available.

Message #17 received at 632254@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: debian-devel@lists.debian.org, 632254@bugs.debian.org
Subject: Re: Search for a file in all Debian source packages
Date: Tue, 5 Jun 2012 11:17:12 +0800
On Tue, Jun 5, 2012 at 11:00 AM, Yaroslav Halchenko wrote:

> ho ho -- smart ;)  not sure even which version to assign if someone
> would decide to close this bug report ;)

I have retitled the bug asking for this to be documented. I think both
the manual page and the --help output need to mention the possiblity
to use "source" as an architecture.

> Apparently this feature is working out of the box "by design", as
> James McCoy points out.  Since Contents-* file format is the same for
> -sources as for any other architecture listing content of binary
> packages -- there is no custom action required.

Very nice indeed.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise




Information forwarded to debian-bugs-dist@lists.debian.org, Stefan Fritsch <sf@debian.org>:
Bug#632254; Package apt-file. (Sun, 23 Dec 2012 15:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Stefan Fritsch <sf@debian.org>. (Sun, 23 Dec 2012 15:30:03 GMT) Full text and rfc822 format available.

Message #22 received at 632254@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Paul Wise <pabs@debian.org>, 632254@bugs.debian.org
Subject: Re: Bug#632254: Search for a file in all Debian source packages
Date: Sun, 23 Dec 2012 16:31:07 +0100
[Message part 1 (text/plain, inline)]
tag 632254 + patch
thanks

Le Tue, Jun 05, 2012 at 11:17:12AM +0800, Paul Wise a écrit :
> On Tue, Jun 5, 2012 at 11:00 AM, Yaroslav Halchenko wrote:
> 
> > ho ho -- smart ;)  not sure even which version to assign if someone
> > would decide to close this bug report ;)
> 
> I have retitled the bug asking for this to be documented. I think both
> the manual page and the --help output need to mention the possiblity
> to use "source" as an architecture.

Hello everybody,

how about the attached patch ?

(Apparently, the trick does not work wiht rapt-file).

Cheers

-- 
Charles Plessy
Illkirch-Graffenstaden, France
[632254.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Sun, 23 Dec 2012 15:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Stefan Fritsch <sf@debian.org>:
Bug#632254; Package apt-file. (Sun, 23 Dec 2012 22:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Stefan Fritsch <sf@debian.org>. (Sun, 23 Dec 2012 22:57:06 GMT) Full text and rfc822 format available.

Message #29 received at 632254@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: 632254@bugs.debian.org
Subject: Re: Bug#632254: Search for a file in all Debian source packages
Date: Mon, 24 Dec 2012 06:53:55 +0800
[Message part 1 (text/plain, inline)]
On Sun, 2012-12-23 at 16:31 +0100, Charles Plessy wrote:

> how about the attached patch ?

Looks good to me, thanks!

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Stefan Fritsch <sf@debian.org>:
Bug#632254; Package apt-file. (Wed, 26 Dec 2012 18:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Stefan Fritsch <sf@debian.org>. (Wed, 26 Dec 2012 18:21:06 GMT) Full text and rfc822 format available.

Message #34 received at 632254@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 632254@bugs.debian.org
Subject: Re: Bug#632254: Search for a file in all Debian source packages
Date: Thu, 27 Dec 2012 03:19:50 +0900
Le Mon, Dec 24, 2012 at 06:53:55AM +0800, Paul Wise a écrit :
> On Sun, 2012-12-23 at 16:31 +0100, Charles Plessy wrote:
> 
> > how about the attached patch ?
> 
> Looks good to me, thanks!

Dear Stefan, Thijis, and Enrico,

shall I commit it ?

Cheers,

-- 
Charles



Marked as found in versions apt-file/2.5.2. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sun, 14 Jul 2013 16:57:09 GMT) Full text and rfc822 format available.

Merged 632254 716914 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sun, 14 Jul 2013 16:57:10 GMT) Full text and rfc822 format available.

Merged 632254 716914 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sun, 14 Jul 2013 18:45:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:49:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.